unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ComCtrls, ExtCtrls, Gauges, Buttons, Spin;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    RichEdit1: TRichEdit;
    GroupBox1: TGroupBox;
    Edit1: TEdit;
    ComboBox1: TComboBox;
    Label1: TLabel;
    CheckBox1: TCheckBox;
    GroupBox2: TGroupBox;
    ComboBox2: TComboBox;
    TrackBar1: TTrackBar;
    Gauge1: TGauge;
    Label3: TLabel;
    Label4: TLabel;
    Timer1: TTimer;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    SpinEdit1: TSpinEdit;
    SpeedButton3: TSpeedButton;
    SpeedButton4: TSpeedButton;
    Label5: TLabel;
    SpeedButton5: TSpeedButton;
    SpeedButton6: TSpeedButton;
    Timer2: TTimer;
    SpeedButton7: TSpeedButton;
    SpeedButton8: TSpeedButton;
    TrackBar2: TTrackBar;
    Timer3: TTimer;
    CheckBox2: TCheckBox;
    procedure TrackBar1Change(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure ComboBox2Click(Sender: TObject);
    procedure SpeedButton6Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
    procedure SpeedButton4Click(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure SpeedButton5Click(Sender: TObject);
    procedure TrackBar2Change(Sender: TObject);
    procedure Timer3Timer(Sender: TObject);
    procedure SpeedButton8Click(Sender: TObject);
    procedure SpeedButton7Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses io;

{$R *.DFM}

procedure TForm1.TrackBar1Change(Sender: TObject); //--  .(0..256)
Var
  b  : byte;
  begin
  b  := TrackBar1.Position ;   //--     (0..256)
  if CheckBox2.Checked = true then b  := Not b;//-- ,   (256..0)
  PortWriteByte(888,(b)); //-- 
  Gauge1.Progress := b;  //--   
end;

procedure TForm1.Timer1Timer(Sender: TObject);  //--   
Var
  pa : integer;
  b  : byte;
  begin
  pa:= StrToInt(ComboBox1.Text);  //-- 
  b :=( PortReadByte(pa) ) ;  //--
  Edit1.text := IntToStr(b);  //--  

end;

procedure TForm1.Edit1Change(Sender: TObject);  //-- LOG 
begin
 if CheckBox1.Checked = true then
   begin
   RichEdit1.Lines.Add  //--    + 
   ( FormatDateTime('hh:mm:ss', time()) + '   data  '+ (Edit1.Text) );  
   end;

end;

procedure TForm1.SpeedButton1Click(Sender: TObject);
begin
  TrackBar1.Position := TrackBar1.Position +1;  //-- +1

end;

procedure TForm1.SpeedButton2Click(Sender: TObject);
begin
TrackBar1.Position := TrackBar1.Position -1;  //-- -1

end;

procedure TForm1.ComboBox2Click(Sender: TObject); //--  . 
Var
ind : integer;
begin
    RichEdit1.Lines.Add
   ( FormatDateTime('hh:mm:ss', time()) + '     '+ (ComboBox2.Text) );  //-- + 

    ind := ComboBox2.ItemIndex;
    if ind = 0 then TrackBar1.Position := 10 ;  //-- 1 ( FM) .  10
    if ind = 1 then TrackBar1.Position := 23 ;  //--
    if ind = 2 then TrackBar1.Position := 58 ;
    if ind = 3 then TrackBar1.Position := 94 ;
    if ind = 4 then TrackBar1.Position := 204 ;

end;

procedure TForm1.SpeedButton6Click(Sender: TObject); //-- Power
begin
 if SpeedButton6.Tag = 0 then  //--  
begin
 SpeedButton6.Font.Color := clRed;
 Gauge1.BackColor := clLime;
 PortWriteByte(890,58);  //-- 5  0  890
 SpeedButton6.Tag :=1;
end else
begin
 SpeedButton6.Font.Color := clWindowText;
 Gauge1.BackColor := clWindow;
 PortWriteByte(890,59);   //-- 0  0-3  890 (Power OFF)
 SpeedButton6.Tag := 0; 
end ;


end;
procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
Timer2.Interval := SpinEdit1.Value * 60000;  //--   
end;

procedure TForm1.FormActivate(Sender: TObject);
begin
Timer2.Interval := SpinEdit1.Value * 60000; //-- 
end;

procedure TForm1.SpeedButton3Click(Sender: TObject);  //--  
begin
Timer2.Enabled := true;
SpinEdit1.Color := cllime;
end;

procedure TForm1.SpeedButton4Click(Sender: TObject); //--  
begin
Timer2.Enabled := false;
SpinEdit1.Color := clWindow;
end;

procedure TForm1.Timer2Timer(Sender: TObject); //-- 
begin
PortWriteByte(890,59);
close;
end;

procedure TForm1.SpeedButton5Click(Sender: TObject);  //-- MUTE
Var
 b : byte;
 begin
 if SpeedButton5.Tag = 0 then
 begin
 b:=(PortReadByte(890));  //--    890 
  b := b - 8;//--    8 ( 3 =5Pin 17) 8 - 2*   N
 PortWriteByte(890,b);  //--  
 SpeedButton5.Font.Color := clRed;
 SpeedButton5.Tag := 1;
 end else
 begin
 b:=(PortReadByte(890));
 b := b + 8;  //--  0
 PortWriteByte(890,b);
 SpeedButton5.Font.Color :=  clWindowText; 
 SpeedButton5.Tag := 0;
 end ;
end;

procedure TForm1.TrackBar2Change(Sender: TObject);
begin
Timer3.Interval := TrackBar2.Position; //-- 
end;

procedure TForm1.Timer3Timer(Sender: TObject);
begin
 TrackBar1.Position := TrackBar1.Position +1; //--
 if TrackBar1.Position = 255 then TrackBar1.Position := 1 ; //--
end;

procedure TForm1.SpeedButton8Click(Sender: TObject);
begin
Timer3.Enabled := false;  //-- 
end;

procedure TForm1.SpeedButton7Click(Sender: TObject);
begin
Timer3.Enabled := true;   //-- 
end;

end.
